## org.w3c.www.protocol.http.cache
Class CachedResourceFactory

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.cache.CachedResourceFactory

public class CachedResourceFactory
extends java.lang.Object

The factory for cache entries. All cache entries have to be sub-classes of CachedResource, that's the only limitation to the fun you can have down here.

Constructor Summary
`CachedResourceFactory()`

Method Summary
`static CachedResource` | `createResource(CacheFilter filter, Request request, Reply reply)` Create a suitable instance of some subclass of CachedResource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedResourceFactory

    public CachedResourceFactory()

Method Detail

### createResource

    public static CachedResource createResource(CacheFilter filter,
                                                Request request,
                                                Reply reply)
                                         throws java.io.IOException

  Create a suitable instance of some subclass of CachedResource.
  Parameters:
    `filter` - The cache filter that ones to create a new entry.
    `request` - The original request we emitted.
    `reply` - The reply we got from the origin server.
  Returns:
    An instance of CachedResource, or null if no resource was created.